classification
Title: multiprocessing: failure in manager._debug_info()
Type: Stage:
Components: Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jnoller Nosy List: amaury.forgeotdarc, jnoller
Priority: normal Keywords: needs review, patch

Created on 2009-01-20 09:22 by amaury.forgeotdarc, last changed 2009-01-21 02:24 by jnoller. This issue is now closed.

Files
File name Uploaded Description Edit
mp_zeroid.patch amaury.forgeotdarc, 2009-01-20 09:22
Messages (3)
msg80239 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2009-01-20 09:22
http://mail.python.org/pipermail/python-checkins/2009-January/077474.html
probably indicates some other error in the manager's shared objects, but
the debug_info() function fails to display anything.

It seems that most keys in id_to_obj are strings ('%x' % id(obj)) except
the first one which is zero. And since python 3, you cannot compare 0
and '1' anymore...

Patch attached. I'm not sure whether this zero is used elsewhere...
and BTW, what is it useful for?
msg80252 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2009-01-20 12:33
Dang, and here I was thinking I was making progress :)

I'll review and check in later today
msg80313 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2009-01-21 02:24
Checked in, r68839
History
Date User Action Args
2010-02-09 14:23:49floxlinkissue3562 superseder
2009-01-21 02:24:45jnollersetstatus: open -> closed
resolution: fixed
messages: + msg80313
2009-01-20 12:33:27jnollersetmessages: + msg80252
2009-01-20 09:22:51amaury.forgeotdarccreate